Package fr.gouv.vitam.functional.administration.rest

# Class AdminSecurityProfileResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.AdminSecurityProfileResource

@Path("/v1/admin") public class AdminSecurityProfileResource extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ADMIN_TENANT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminSecurityProfileResource(SecurityProfileResource securityProfileResource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `deleteContext(String securityProfileId)`
  `jakarta.ws.rs.core.Response`
  `findContexts(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  `jakarta.ws.rs.core.Response`
  `importSecurityProfiles(List<SecurityProfileModel> securityProfileModelList, jakarta.ws.rs.core.UriInfo uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ADMIN_TENANT

    public static final int ADMIN_TENANT

- ## Constructor Details

  - ### AdminSecurityProfileResource

    public AdminSecurityProfileResource(SecurityProfileResource securityProfileResource)
    Parameters:
      `securityProfileResource` -

- ## Method Details

  - ### importSecurityProfiles

    @Path("/securityprofiles") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response importSecurityProfiles(List<SecurityProfileModel> securityProfileModelList, @Context jakarta.ws.rs.core.UriInfo uri)

  - ### findContexts

    @Path("/securityprofiles") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findContexts(com.fasterxml.jackson.databind.JsonNode queryDsl)

  - ### deleteContext

    @Path("/securityprofiles/{securityprofileId}") @DELETE @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response deleteContext(@PathParam("securityprofileId") String securityProfileId)